Name:		crystal-open
Version:	2.166.3
Release:	1%{?dist}
Summary:	Sketch Engine web interface

Group:		Applications/Text
License: GPLv3
URL:		https://www.sketchengine.eu
Source0:	%{name}-%{version}.tar.gz

BuildRequires:	tar
%if 0%{?fedora} >= 34
BuildRequires:	make
%endif

BuildArch:	noarch

%description
Web interface for Sketch Engine.

%prep
%setup -q

%build
make

%install
make install DESTDIR=%{buildroot} VERSION=%{version}

%post
# get CDN_URL_PREFIX from config.js
cd /var/www/crystal
CDN_URL_PREFIX=`grep "^[^#/]*CDN_URL_PREFIX" config.js| sed "s|.*CDN_URL_PREFIX*.:.*[\"\']\(.*\)[\"'].*|\1|"| head -n 1`
# add CDN prefixes
sed -i "s|src=\"images/|src=\"${CDN_URL_PREFIX}images/|g;s|url(\"images/|url(\"${CDN_URL_PREFIX}images/|g" bundle.js
sed -i "s|href=\"images|href=\"${CDN_URL_PREFIX}images|g;s|href=\"styles|href=\"${CDN_URL_PREFIX}styles|g;s|content=\"images|content=\"${CDN_URL_PREFIX}images|g;s|src=\"|src=\"${CDN_URL_PREFIX}|g" index.html

%files
%dir %{_localstatedir}/www/crystal/
%{_localstatedir}/www/crystal/*
%config(noreplace) %{_localstatedir}/www/crystal/config.js

%changelog
* Wed Mar 13 2024 GitLab Runner - 2.166.3-1
- new version

